input {
  padding: 0.5rem 0;
  border: none;
  border-bottom: 1px solid var(--color__red);
  box-shadow: none;
  color: var(--color__black);

  &::placeholder {
    color: inherit;
  }

  transition: 0.24s;


  &:focus {
    outline: transparent;
  }

  &:focus-visible {
    border-bottom-color: var(--color__green);
  }

  &:disabled {
    border-bottom-color: var(--color__grey-dark);
    color: var(--color__grey-dark);
  }
}